Skip to main content
POST
/
v0
/
servers
/
workflows
/
manual
Execute a manual workflow for a server
curl --request POST \
  --url https://controller.platform.simplecloud.app/v0/servers/workflows/manual \
  --header 'Content-Type: application/json' \
  --header 'X-Network-ID: <x-network-id>' \
  --header 'X-Network-Secret: <x-network-secret>' \
  --data '{}'
{
  "error_message": "workflow execution was rejected by serverhost",
  "message": "Manual workflow execution completed",
  "server_id": "123e4567-e89b-12d3-a456-426614174000",
  "success": true,
  "workflow_id": "internal.cleanup"
}

Headers

X-Network-ID
string
required

Network ID

X-Network-Secret
string
required

Network Secret

Query Parameters

server_id
string
required

Server ID

Body

application/json

Manual workflow execution request

The body is of type object.

Response

OK

Response for executing a manual workflow on a single server.

error_message
string
Example:

"workflow execution was rejected by serverhost"

message
string
Example:

"Manual workflow execution completed"

server_id
string
Example:

"123e4567-e89b-12d3-a456-426614174000"

success
boolean
Example:

true

workflow_id
string
Example:

"internal.cleanup"